function [Herf] = herfindahl_cs(id1,id2,year,w)

% Create a herfindahl indices, by year

% Get weights aligned correctly

[h1,h2,ii]=unique(id1);
[h1,h2,jj]=unique(year);

N=max(ii);
T=max(jj);

W = zeros(N,T);
W(sub2ind([N T],ii,jj))=w;

% Create a balanced matrix for group id's

G = zeros(N,T);
G(sub2ind([N T],ii,jj)) = id2;

g_min = min(id2);
g_max = max(id2);

Herf = zeros(T,g_max);

for i = g_min:g_max
    D1 = (G==i);            % Within group dummy
    W1 = D1.*W;

    % 1. Create the Herf component
    
    herf = W1.*W1;
    Herf(:,i) = sum(herf,1);
    
    clear herf;
    
end

