clear
close all

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Date: August 18, 2013
%
% Program: this file plots the LINK component computed at the level of pair
% of sectors against the corresponding mean IO coefficient and write the data in a
% csv file. Sample: Whole economy
%
% References to the following functions: 
%  scatter_BilIO_csm.m (Figure)
%
% Use as input IOBilMean_all_ca.csv (Mean IO coefficient, by pair of
% sectors)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% File name/directory to output .csv files

outputf = 'Figures/';

% Load in mfg files

CS = load('Output/master_variance_cs_all_ca');

T = length(CS.VAR_TOTAL_variable_cs(:,1));
g_max = length(CS.VAR_TOTAL_variable_cs(1,:));

% Figures of GRAN against IO

COV_B = CS.COV_B_idio_cs_i;

COV_B = mean(COV_B,1)';

sec = zeros((g_max*g_max+g_max)/2,2);
l=1;
for i=1:g_max
    for j=i:g_max
        sec(l,1) = i;
        sec(l,2) = j;
        l=l+1;
    end
end


COV_B_idio_csm = zeros((g_max*g_max+g_max)/2,1);

l=1;
for i=1:g_max
    for j=i:g_max
        k1 = g_max*(i-1)+j;
        k2 = g_max*(j-1)+i;
        COV_B_idio_csm(l,1) = 0.5.*(COV_B(k1,1)+COV_B(k2,1));
        l=l+1;
    end
end

io=csvread('Output/IOBilMean_all_ca.csv',1,0);

z1 = io(:,4); 
z2 = COV_B_idio_csm(:,1); 
z = [z1(z1>0&z2>0) z2(z1>0&z2>0)];
h=corrcoef(z(:,1), (z(:,2)).^(0.5))

x = log((z(:,1))); 
y = log((z(:,2)).^(0.5));
h=corrcoef(x,y)

scatter_BilIO_csm(x,y);
hgsave(strcat(outputf,'scatter_CovBilIO_all_ca'));
print('-depsc2',strcat(outputf,'scatter_CovBilIO_all_ca'));


export=[sec z1 z2];
csvwrite('Output/IOCovBil_all_ca.csv',export);