clear
close all

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Date: August 18, 2013
%
% Program: this file plots the DIRECT component computed at the sectoral
% level against the corresponding Herfindahl index and write the data in a
% csv file. Sample: Manufacturing sector
%
% References to the following functions: 
%   scatter_herfVaronly_csm_mfg_ca.m (Figure)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% File name/directory to output .csv files

outputf = 'Figures/';

% Load in all files

CS = load('Output/master_variance_cs_mfg_ca');

% Figures of LINK against Herf

x = (CS.herf_cs_i).^(0.5);
y = (CS.VAR_ONLY_idio_cs_i).^(0.5);
X1 = mean(x,1);
Y1a = mean(y,1);

scatter_herfVaronly_csm_all_ca(X1,Y1a);
hgsave(strcat(outputf,'nfvsd_varherf_cs_mfg_ca'));
print('-depsc2',strcat(outputf,'nfvsd_varherf_cs_mfg_ca'));

corrcoef(X1,Y1a)

g_max = size(X1,2);
for i = 1:g_max
    sec(1,i)=i;
end
export=[sec' X1' Y1a'];
csvwrite('Output/HerfVar_mfg_ca.csv',export);


