clear
close all

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Date: August 18, 2013
%
% Program: this file calculates the aggregate variance and components
% and then creates analytical std. errors for these. Sample: Whole economy
%
% References to the following functions: 
%   var_growth.m (variance of aggregate growth, time-varying weights)
%   std_err.m (anaytical standard deviations)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


load Output/reg_output_all_ca;
gr_sales = gr_variable;
gr_macsec = gr_macro+gr_sec;

% Calculate variances/covariances

[VAR_sales,var_sales,sd_sales] = var_growth(id_fp,year,gr_sales,w_fp);
[VAR_idio,var_idio,sd_idio] = var_growth(id_fp,year,gr_idio,w_fp);
[VAR_macsec,var_macsec,sd_macsec] = var_growth(id_fp,year,gr_macsec,w_fp);

% Calculate standard errors

[var_sales_se,sd_sales_se] = std_err(id_fp,year,gr_sales,w_fp,var_sales);
[var_idio_se,sd_idio_se] = std_err(id_fp,year,gr_idio,w_fp,var_idio);
[var_macsec_se,sd_macsec_se] = std_err(id_fp,year,gr_macsec,w_fp,var_macsec);

% Save data to output file

save  Output/st_errors_ALL sd_sales* sd_idio* sd_macsec*;