/********************************************************************************************
	Date: September 2013
	
	Program: Compute summary statistics on the first step of micro estimates
	(decomposition of growth rate into the firm and macrosec components)
				
				`1': file name input (regression results
				`2': 0 in the benchmark case, 1 for robutsness 
				`3': name of the LHS variable
*********************************************************************************************/

capture program drop microresults_firststep
program define microresults_firststep
	cd $datapath
	use `1', clear
	if `2'==0{
	g gr_macrosec=gr_macro+gr_sec
	}
	di "correlation coefficients between actual growth rates and components"
	pwcorr `3' gr_idio, sig
	if `2' == 0{
		pwcorr `3' gr_macrosec, sig
	}

	save temp, replace
	collapse (count) count=`3' (median) med_`3'=`3' med_gr_idio=gr_idio (mean) Rsquared Rbarsquared mean_`3'=`3' mean_gr_idio=gr_idio (sd) sd_`3'=`3' sd_gr_idio=gr_idio 
	g rsd_idio=sd_gr_idio/sd_`3'
	quietly sum sd_`3'
	local sd_var=r(mean)
	di "# obs and goodness of fit"
	sum count Rsquared Rbarsquared 
	di "summary statistics on actual growth rates"
	sum mean_`3' sd_`3' med_`3' 
	di "summary statistics on the firm-specific component"
	sum mean_gr_idio sd_gr_idio med_gr_idio rsd_idio
	if `2' == 0{
		use temp, clear
		bysort $sect pays year: keep if _n==1
		collapse (count) count=`3' (median) med_gr_macrosec=gr_macrosec (mean) mean_gr_macrosec=gr_macrosec (sd) sd_gr_macrosec=gr_macrosec 
		g rsd_macrosec=sd_gr_macrosec/`sd_var'
		di "summary statistics on the macro-dest component"
		sum count mean_gr_macrosec sd_gr_macrosec med_gr_macrosec rsd_macrosec
	}
end
