/********************************************************************************************
	Date: September 2013
	
	Program: Compute summary statistics on the second step of micro estimates
	(decomposition of firm component into destination-specific and common across destinations)
				
				`1': file name input (regression results
				`2': 0 in the benchmark case, 1 for robutsness 
				`3': name of the LHS variable
*********************************************************************************************/


capture program drop microresults_secondstep
program define microresults_secondstep
	use `1', clear
	keep if gr_idio!=. & gr_idio_dest!=. & gr_idio_com!=.
	di "correlation coefficients"
	pwcorr gr_idio gr_idio_dest gr_idio_com, sig
	save temp, replace
	collapse (count) count=`3' (median) med_gr_idio=gr_idio med_gr_idio_dest=gr_idio_dest (mean) mean_gr_idio=gr_idio mean_gr_idio_dest=gr_idio_dest (sd) sd_gr_idio=gr_idio sd_gr_idio_dest=gr_idio_dest
	g rsd_idio_dest=sd_gr_idio_dest/sd_gr_idio
	quietly sum sd_gr_idio
	local sd_idio=r(mean)
	di "firm-specific"
	sum count mean_gr_idio sd_gr_idio med_gr_idio 
	di "firm-dest"
	sum mean_gr_idio_dest sd_gr_idio_dest med_gr_idio_dest rsd_idio_dest
	use temp, clear
	bysort siren year: keep if _n==1
	collapse (count) count=`3' (median) med_gr_idio_com=gr_idio_com (mean) mean_gr_idio_com=gr_idio_com (sd) sd_gr_idio_com=gr_idio_com 
	g rsd_idio_com=sd_gr_idio_com/`sd_idio'
	di "firm-com"
	sum count mean_gr_idio_com sd_gr_idio_com med_gr_idio_com rsd_idio_com
end
