function [var sd] = var_only_growth_T(id,year,X,w)

% Create a balanced matrix of growth rates, where 0's fill in missing,
% which is ok b/c will sum over zeros and not count when taking averages

[h1,h2,ii]=unique(id);
[h1,h2,jj]=unique(year);

N=max(ii);
T=max(jj);

bigX=zeros(N,T);
bigX(sub2ind([N T],ii,jj))= X;

bigO=zeros(N,T);
bigO(sub2ind([N T],ii,jj))=1;
counts=sum(bigO,2);
mX = mean(bigX,2);
demeanX=(bigX-repmat(mX,1,T)).*bigO;

% Demeaned matrix which is N,T and create a (T_n - 1) to divide by 

Y = reshape(demeanX,N,T);

Y = Y./sqrt(T-1);

% Get weights aligned correctly

W = zeros(N,T);
W(sub2ind([N T],ii,jj))=w;

ww = reshape(W,N,T);
ww(isnan(Y))=0;        % fix for only 1 observation
W(sub2ind([N T],ii,jj))=w;
W = W./(repmat(sum(W,1),N,1));  % renormalize weights

% Compute firm-level variance

Z = repmat(sum(Y.*Y,2),1,T);

% Create VAR = (W.Y).*(Y.W)

y = W.*W.*Z;

var = sum(y,1)';
sd = sqrt(var);
